GRID Virtualization Enums(3)

NAME
GRID Virtualization Enums -

  Enumerations

enum nvmlGpuVirtualizationMode_t { NVML_GPU_VIRTUALIZATION_MODE_NONE = 0, NVML_GPU_VIRTUALIZATION_MODE_PASSTHROUGH = 1, NVML_GPU_VIRTUALIZATION_MODE_VGPU = 2, NVML_GPU_VIRTUALIZATION_MODE_HOST_VGPU = 3, NVML_GPU_VIRTUALIZATION_MODE_HOST_VSGA = 4 }
enum nvmlHostVgpuMode_t { NVML_HOST_VGPU_MODE_NON_SRIOV = 0, NVML_HOST_VGPU_MODE_SRIOV = 1 }
enum nvmlVgpuVmIdType_t { NVML_VGPU_VM_ID_DOMAIN_ID = 0, NVML_VGPU_VM_ID_UUID = 1 }
enum nvmlVgpuGuestInfoState_t { NVML_VGPU_INSTANCE_GUEST_INFO_STATE_UNINITIALIZED = 0, NVML_VGPU_INSTANCE_GUEST_INFO_STATE_INITIALIZED = 1 }
enum nvmlGridLicenseFeatureCode_t { NVML_GRID_LICENSE_FEATURE_CODE_VGPU = 1, NVML_GRID_LICENSE_FEATURE_CODE_VWORKSTATION = 2 }

Enumeration Type Documentation

  enum nvmlGpuVirtualizationMode_t

GPU virtualization mode types.

Enumerator:

NVML_GPU_VIRTUALIZATION_MODE_NONE
    Represents Bare Metal GPU.

NVML_GPU_VIRTUALIZATION_MODE_PASSTHROUGH
    Device is associated with GPU-Passthorugh.

NVML_GPU_VIRTUALIZATION_MODE_VGPU
    Device is associated with vGPU inside virtual machine.

NVML_GPU_VIRTUALIZATION_MODE_HOST_VGPU
    Device is associated with VGX hypervisor in vGPU mode.

NVML_GPU_VIRTUALIZATION_MODE_HOST_VSGA
    Device is associated with VGX hypervisor in vSGA mode.

  enum nvmlGridLicenseFeatureCode_t

GRID license feature code

Enumerator:

NVML_GRID_LICENSE_FEATURE_CODE_VGPU
    Virtual GPU.

NVML_GRID_LICENSE_FEATURE_CODE_VWORKSTATION
    Virtual Workstation.

  enum nvmlHostVgpuMode_t

Host vGPU modes

Enumerator:

NVML_HOST_VGPU_MODE_NON_SRIOV
    Non SR-IOV mode.

NVML_HOST_VGPU_MODE_SRIOV
    SR-IOV mode.

  enum nvmlVgpuGuestInfoState_t

vGPU GUEST info state.

Enumerator:

NVML_VGPU_INSTANCE_GUEST_INFO_STATE_UNINITIALIZED
    Guest-dependent fields uninitialized.

NVML_VGPU_INSTANCE_GUEST_INFO_STATE_INITIALIZED
    Guest-dependent fields initialized.

  enum nvmlVgpuVmIdType_t

Types of VM identifiers

Enumerator:

NVML_VGPU_VM_ID_DOMAIN_ID
    VM ID represents DOMAIN ID.

NVML_VGPU_VM_ID_UUID
    VM ID represents UUID.

Author

Generated automatically by Doxygen for NVML from the source code.